@ECHO OFF
REM ---------------------------------------------------------------------------
REM
REM Batch file to start the Eicon Driver Setup.
REM Note that the preferred method to start the setup is through the Network
REM Control Panel of Windows NT. Double click the 'Control Panel' icon located
REM in the program group 'Main' of the program manager. Choose 'Network'.
REM Now you are in the Network Control Panel. Click 'Add Software...', select
REM 'Other requires disk from manufacturer' from the list of software options.
REM Type the full path to this directory and click 'OK'. Then follow the
REM instructions on the screen.
REM
REM Copyright (c) Eicon Technology Corporation 1994-1999
REM
REM ---------------------------------------------------------------------------

ECHO Eicon Driver Setup running ...

SET DiehlTestEnvironmentAccess=OK
IF %DiehlTestEnvironmentAccess%==OK GOTO ENVOK
ECHO Cannot access environment variables. Please leave any additional shells
ECHO and try to start setup again.
GOTO PEXIT
:ENVOK

IF EXIST diehlset.ba_ GOTO START
ECHO Cannot access the product files. Please change to the directory of this
ECHO setup and start the program again.
GOTO PEXIT
:START

SET DiehlTempBatHighDigit=0
SET DiehlTempBatLowDigit=0
:RETRY
IF NOT EXIST %SystemRoot%\diehls%DiehlTempBatHighDigit%%DiehlTempBatLowDigit%.bat GOTO FOUND
IF NOT %DiehlTempBatLowDigit%==0 GOTO INC0
SET DiehlTempBatLowDigit=1
GOTO RETRY
:INC0
IF NOT %DiehlTempBatLowDigit%==1 GOTO INC1
SET DiehlTempBatLowDigit=2
GOTO RETRY
:INC1
IF NOT %DiehlTempBatLowDigit%==2 GOTO INC2
SET DiehlTempBatLowDigit=3
GOTO RETRY
:INC2
IF NOT %DiehlTempBatLowDigit%==3 GOTO INC3
SET DiehlTempBatLowDigit=4
GOTO RETRY
:INC3
IF NOT %DiehlTempBatLowDigit%==4 GOTO INC4
SET DiehlTempBatLowDigit=5
GOTO RETRY
:INC4
IF NOT %DiehlTempBatLowDigit%==5 GOTO INC5
SET DiehlTempBatLowDigit=6
GOTO RETRY
:INC5
IF NOT %DiehlTempBatLowDigit%==6 GOTO INC6
SET DiehlTempBatLowDigit=7
GOTO RETRY
:INC6
IF NOT %DiehlTempBatLowDigit%==7 GOTO INC7
SET DiehlTempBatLowDigit=8
GOTO RETRY
:INC7
IF NOT %DiehlTempBatLowDigit%==8 GOTO INC8
SET DiehlTempBatLowDigit=9
GOTO RETRY
:INC8
SET DiehlTempBatLowDigit=0
IF NOT %DiehlTempBatHighDigit%==0 GOTO INC00
SET DiehlTempBatHighDigit=1
GOTO RETRY
:INC00
IF NOT %DiehlTempBatHighDigit%==1 GOTO INC10
SET DiehlTempBatHighDigit=2
GOTO RETRY
:INC10
IF NOT %DiehlTempBatHighDigit%==2 GOTO INC20
SET DiehlTempBatHighDigit=3
GOTO RETRY
:INC20
IF NOT %DiehlTempBatHighDigit%==3 GOTO INC30
SET DiehlTempBatHighDigit=4
GOTO RETRY
:INC30
IF NOT %DiehlTempBatHighDigit%==4 GOTO INC40
SET DiehlTempBatHighDigit=5
GOTO RETRY
:INC40
IF NOT %DiehlTempBatHighDigit%==5 GOTO INC50
SET DiehlTempBatHighDigit=6
GOTO RETRY
:INC50
IF NOT %DiehlTempBatHighDigit%==6 GOTO INC60
SET DiehlTempBatHighDigit=7
GOTO RETRY
:INC60
IF NOT %DiehlTempBatHighDigit%==7 GOTO INC70
SET DiehlTempBatHighDigit=8
GOTO RETRY
:INC70
IF NOT %DiehlTempBatHighDigit%==8 GOTO INC80
SET DiehlTempBatHighDigit=9
GOTO RETRY
:INC80
ECHO Setup cannot create a temporary file needed to start up because the file
ECHO names diehls00.bat ... diehls99.bat are already in use in your Windows NT
ECHO directory (%SystemRoot%).
ECHO Please clean up and try to start the setup again.
GOTO PEXIT

:FOUND
SET DiehlTempBat=%SystemRoot%\diehls%DiehlTempBatHighDigit%%DiehlTempBatLowDigit%.bat
COPY diehlset.ba_ %DiehlTempBat% >NUL
IF NOT ERRORLEVEL 1 GOTO COPYOK
ECHO Setup cannot copy the temporary file diehls%DiehlTempBatHighDigit%%DiehlTempBatLowDigit%.bat to your
ECHO Windows NT directory (%SystemRoot%).
GOTO PEXIT
:COPYOK
CD >>%DiehlTempBat%
CALL %DiehlTempBat% DiehlCwdDir
IF NOT ERRORLEVEL 1 GOTO CALLOK
ECHO Setup cannot call the temporary file diehls%DiehlTempBatHighDigit%%DiehlTempBatLowDigit%.bat in your
ECHO Windows NT directory (%SystemRoot%).
GOTO PEXIT
:CALLOK
DEL %DiehlTempBat%
IF NOT ERRORLEVEL 1 GOTO DELOK
ECHO Setup could not delete the temporary file diehls%DiehlTempBatHighDigit%%DiehlTempBatLowDigit%.bat in your
ECHO Windows NT directory (%SystemRoot%).
:DELOK
%SystemRoot%\System32\SETUP.EXE /i "%DiehlCwdDir%\OEMSETUP.INF" /t Mode = install
IF ERRORLEVEL 1 GOTO EXIT
ECHO Eicon Driver Setup complete.
REM ECHO Your network settings have changed.
REM ECHO You will need to exit and restart Windows NT so that the new settings can
REM ECHO take effect !
GOTO EXIT

:PEXIT
PAUSE
:EXIT
SET DiehlCwdDir=
SET DiehlTempBat=
SET DiehlTempBatHighDigit=
SET DiehlTempBatLowDigit=
SET DiehlTestEnvironmentAccess=
